package com.yizhi.message.application.event;

import com.yizhi.core.application.event.EventWrapper;
import com.yizhi.message.application.constans.Constans;
import com.yizhi.message.application.vo.MessageRemindVo;
import org.springframework.amqp.rabbit.annotation.RabbitHandler;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author: shengchenglong
 * @Date: 2018/4/18 11:14
 */
@RestController
public class MessageEventListener{

    @Autowired
    private MessageEventHandler messageEventHandler;

    @PostMapping("/remote/manage/messageAccount/processBizEvent")
    public void processBizEvent(@RequestBody EventWrapper<MessageRemindVo> ew) {
        messageEventHandler.handle(ew);
    }

}
